Index: /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/SETTE/all_functions.sh
===================================================================
--- /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/SETTE/all_functions.sh	(revision 8878)
+++ /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/SETTE/all_functions.sh	(revision 8879)
@@ -219,17 +219,17 @@
     fi
     # Save output & debug files in NEMO_VALIDATION tree
-    echo "saving ocean & ice output, solver.stat, tracer.stat files ...." >> ${SETTE_DIR}/output.sette
+    echo "saving ocean & ice output, run.stat, tracer.stat files ...." >> ${SETTE_DIR}/output.sette
     echo "            " >> ${SETTE_DIR}/output.sette
     [ -f ${EXE_DIR}/ocean.output ] && cp ${EXE_DIR}/*ocean.output ${NEMO_VALID}/.
-    [ -f ${EXE_DIR}/solver.stat ] && cp ${EXE_DIR}/*solver.stat ${NEMO_VALID}/.
+    [ -f ${EXE_DIR}/run.stat ] && cp ${EXE_DIR}/*run.stat ${NEMO_VALID}/.
     [ -f ${EXE_DIR}/output.namelist.dyn ] && cp ${EXE_DIR}/*output.nam* ${NEMO_VALID}/.
     [ -f ${EXE_DIR}/tracer.stat ] && cp ${EXE_DIR}/*tracer.stat ${NEMO_VALID}/.
 
-    if [ -n "$(ls ${NEMO_VALID}/*solver*)" ] ; then
-	echo "moved solver.stat in ${NEMO_VALID} directory"  >> ${SETTE_DIR}/output.sette
-	echo "moved solver.stat in ${NEMO_VALID} directory"  
+    if [ -n "$(ls ${NEMO_VALID}/*run*)" ] ; then
+	echo "moved run.stat in ${NEMO_VALID} directory"  >> ${SETTE_DIR}/output.sette
+	echo "moved run.stat in ${NEMO_VALID} directory"  
     else
-	echo "problem in looking for solver.stat file in ${NEMO_VALID} directory"  >> ${SETTE_DIR}/output.sette
-	echo "solver.stat IS NOT in ${NEMO_VALID} directory" 
+	echo "problem in looking for run.stat file in ${NEMO_VALID} directory"  >> ${SETTE_DIR}/output.sette
+	echo "run.stat IS NOT in ${NEMO_VALID} directory" 
     fi
     if [ -n "$(ls ${NEMO_VALID}/*ocean.output*)" ] ; then
Index: /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/SETTE/sette.sh
===================================================================
--- /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/SETTE/sette.sh	(revision 8878)
+++ /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/SETTE/sette.sh	(revision 8879)
@@ -56,5 +56,5 @@
 #   set_namelist     : function declared in all_functions that sets namelist parameters 
 #   post_test_tidyup : creates validation storage directory and copies required output files 
-#                      (solver.stat and ocean.output) in it after execution of test.
+#                      (run.stat and ocean.output) in it after execution of test.
 #
 #  VALIDATION tree is:
@@ -137,5 +137,5 @@
 # ORCA2_OFF_PISCES  :  5 &  6
 # AMM12             :  7 &  8 
-# SAS               :  9     fos SAS there is no solver so is useless to test REPRO
+# SAS               :  9     fos SAS there is no run.stat so is useless to test REPRO
 # ISOMIP            : 10 & 11
 # ORCA2_LIM3_OBS    : 12
@@ -143,5 +143,5 @@
 #                     15 & 16 
 
-for config in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16
+for config in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 
 
 do
@@ -312,4 +312,6 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg jpnij 32
+    set_namelist namelist_ice_cfg ln_icediachk .true.
+##    set_namelist namelist_ice_cfg ln_icediahsb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
@@ -350,4 +352,6 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg jpnij 32
+    set_namelist namelist_ice_cfg ln_icediachk .true.
+##    set_namelist namelist_ice_cfg ln_icediahsb .true.
     set_namelist namelist_top_cfg ln_rsttr .true.
     set_namelist namelist_top_cfg nn_rsttr 2
@@ -411,4 +415,6 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg jpnij 32
+    set_namelist namelist_ice_cfg ln_icediachk .true.
+    set_namelist namelist_ice_cfg ln_icediahsb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
@@ -452,4 +458,6 @@
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg jpnij 32
+    set_namelist namelist_ice_cfg ln_icediachk .true.
+    set_namelist namelist_ice_cfg ln_icediahsb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
@@ -661,5 +669,5 @@
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n AMM12_LONG -r AMM12 -j 8 add_key "key_tide" del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n AMM12_LONG -r AMM12 -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -810,4 +818,5 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg jpnij 32
+    set_namelist namelist_ice_cfg ln_icediachk .true.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -835,4 +844,5 @@
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
+    set_namelist namelist_ice_cfg ln_icediachk .true.
     set_namelist namelist_ice_cfg cn_icerst_in \"SAS_00000050_restart_ice\"
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1121,4 +1131,5 @@
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 150
+    set_namelist 1_namelist_cfg nn_fsbc 1
     set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg ln_clobber .true.
@@ -1219,5 +1230,5 @@
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_LONG -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_zdftmx key_top"
+    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_LONG -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif key_zdftmx" del_key "key_zdftmx_new key_top"
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -1245,4 +1256,5 @@
     set_namelist 1_namelist_cfg nn_itend 300
     set_namelist 1_namelist_cfg nn_stock 150
+    set_namelist 1_namelist_cfg nn_fsbc 1
     set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg ln_clobber .true.
@@ -1283,4 +1295,5 @@
     set_namelist 1_namelist_cfg nn_itend 300
     set_namelist 1_namelist_cfg nn_stock 150
+    set_namelist 1_namelist_cfg nn_fsbc 1
     set_namelist 1_namelist_cfg ln_rstart .true.
     set_namelist 1_namelist_cfg nn_rstctl 2
@@ -1293,4 +1306,5 @@
     set_namelist namelist_ice_cfg cn_icerst_in \"O2LP_LONG_00000075_restart_ice\"
     set_namelist 1_namelist_cfg cn_ocerst_in \"O2LP_LONG_00000150_restart\"
+    set_namelist 1_namelist_ice_cfg cn_icerst_in \"O2LP_LONG_00000150_restart_ice\"
 
     for (( i=1; i<=$NPROC; i++)) ; do
@@ -1300,4 +1314,5 @@
         ln -sf ../LONG/O2LP_LONG_00000075_restart_ice_${L_NPROC}.nc .
         ln -sf ../LONG/1_O2LP_LONG_00000150_restart_${L_NPROC}.nc .
+        ln -sf ../LONG/1_O2LP_LONG_00000150_restart_ice_${L_NPROC}.nc .
     done
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1316,5 +1331,5 @@
     export TEST_NAME="REPRO_4_4"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_16 -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_zdftmx key_top"
+    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_16 -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif key_zdftmx" del_key "key_zdftmx_new key_top"
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -1339,4 +1354,5 @@
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 150
+    set_namelist 1_namelist_cfg nn_fsbc 1
     set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg ln_clobber .true.
@@ -1378,4 +1394,5 @@
     set_namelist 1_namelist_cfg nn_itend 150
     set_namelist 1_namelist_cfg ln_ctl .false.
+    set_namelist 1_namelist_cfg nn_fsbc 1
     set_namelist 1_namelist_cfg ln_clobber .true.
     set_namelist 1_namelist_cfg ln_read_cfg .true.
Index: /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/SETTE/sette_beginner.sh
===================================================================
--- /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/SETTE/sette_beginner.sh	(revision 8878)
+++ /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/SETTE/sette_beginner.sh	(revision 8879)
@@ -55,5 +55,5 @@
 #   set_namelist     : function declared in all_functions that sets namelist parameters 
 #   post_test_tidyup : creates validation storage directory and copies required output files 
-#                      (solver.stat and ocean.output) in it after execution of test.
+#                      (run.stat and ocean.output) in it after execution of test.
 #
 #  VALIDATION tree is:
Index: /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/SETTE/sette_rpt.sh
===================================================================
--- /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/SETTE/sette_rpt.sh	(revision 8878)
+++ /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/SETTE/sette_rpt.sh	(revision 8879)
@@ -1,4 +1,5 @@
 #!/bin/bash -f
 #
+# set -vx
 # simple SETTE report generator.
 #
@@ -23,8 +24,8 @@
     dorv=`echo $dorv | sed -e 's:.*/::'`
     f1o=$vdir/$nam/$mach/$dorv/LONG/ocean.output
-    f1s=$vdir/$nam/$mach/$dorv/LONG/solver.stat
+    f1s=$vdir/$nam/$mach/$dorv/LONG/run.stat
     f1t=$vdir/$nam/$mach/$dorv/LONG/tracer.stat
     f2o=$vdir/$nam/$mach/$dorv/SHORT/ocean.output
-    f2s=$vdir/$nam/$mach/$dorv/SHORT/solver.stat
+    f2s=$vdir/$nam/$mach/$dorv/SHORT/run.stat
     f2t=$vdir/$nam/$mach/$dorv/SHORT/tracer.stat
 
@@ -46,13 +47,13 @@
       if [ $? == 0 ]; then
         if [ $pass == 0 ]; then 
-          printf "%-20s %s %s\n" $nam  " solver.stat restartability  passed : " $dorv
-        fi
-      else
-        printf "%-20s %s %s\n" $nam  " solver.stat restartability  FAILED : " $dorv 
-#
-# Offer view of differences on the second pass
-#
-        if [ $pass == 1 ]; then
-          echo "<return> to view solver.stat differences"
+          printf "%-20s %s %s\n" $nam  " run.stat    restartability  passed : " $dorv
+        fi
+      else
+        printf "%-20s %s %s\n" $nam  " run.stat    restartability  FAILED : " $dorv 
+#
+# Offer view of differences on the second pass
+#
+        if [ $pass == 1 ]; then
+          echo "<return> to view run.stat differences"
           read y
           sdiff f1.tmp$$ $f2s
@@ -118,8 +119,8 @@
     rep2=`ls -1rt $vdir/$nam/$mach/$dorv/ | tail -1l`
     f1o=$vdir/$nam/$mach/$dorv/$rep1/ocean.output
-    f1s=$vdir/$nam/$mach/$dorv/$rep1/solver.stat
+    f1s=$vdir/$nam/$mach/$dorv/$rep1/run.stat
     f1t=$vdir/$nam/$mach/$dorv/$rep1/tracer.stat
     f2o=$vdir/$nam/$mach/$dorv/$rep2/ocean.output
-    f2s=$vdir/$nam/$mach/$dorv/$rep2/solver.stat
+    f2s=$vdir/$nam/$mach/$dorv/$rep2/run.stat
     f2t=$vdir/$nam/$mach/$dorv/$rep2/tracer.stat
 
@@ -139,13 +140,13 @@
       if [ $? == 0 ]; then
         if [ $pass == 0 ]; then 
-          printf "%-20s %s %s\n" $nam  " solver.stat reproducibility passed : " $dorv
-        fi
-      else
-        printf "%-20s %s %s\n" $nam  " solver.stat reproducibility FAILED : " $dorv 
-#
-# Offer view of differences on the second pass
-#
-        if [ $pass == 1 ]; then
-          echo "<return> to view solver.stat differences"
+          printf "%-20s %s %s\n" $nam  " run.stat    reproducibility passed : " $dorv
+        fi
+      else
+        printf "%-20s %s %s\n" $nam  " run.stat    reproducibility FAILED : " $dorv 
+#
+# Offer view of differences on the second pass
+#
+        if [ $pass == 1 ]; then
+          echo "<return> to view run.stat differences"
           read y
           sdiff f1.tmp$$ $f2s
@@ -199,4 +200,5 @@
   mach=`grep "COMPILER=" ./sette.sh | sed -e 's/COMPILER=//'`
   NEMO_VALID=`grep "NEMO_VALIDATION_DIR=" ./param.cfg | sed -e 's/NEMO_VALIDATION_DIR=//'`
+  NEMO_VALID=`eval "echo $NEMO_VALID"`
 #
   if [ ! -d $NEMO_VALID ]; then
Index: /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/SETTE/sette_xios.sh
===================================================================
--- /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/SETTE/sette_xios.sh	(revision 8878)
+++ /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/SETTE/sette_xios.sh	(revision 8879)
@@ -52,5 +52,5 @@
 #   set_namelist     : function declared in all_functions that sets namelist parameters 
 #   post_test_tidyup : creates validation storage directory and copies required output files 
-#                      (solver.stat and ocean.output) in it after execution of test.
+#                      (run.stat and ocean.output) in it after execution of test.
 #
 #  VALIDATION tree is:
Index: /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/TOOLS/COMPILE/Fadd_keys.sh
===================================================================
--- /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/TOOLS/COMPILE/Fadd_keys.sh	(revision 8878)
+++ /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/TOOLS/COMPILE/Fadd_keys.sh	(revision 8879)
@@ -65,5 +65,5 @@
  echo "Adding keys in : ${NEW_CONF}" 
  for i in ${list_add_key} ; do
-	if [ "$(cat ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm | grep -c "$i" )" -ne 0 ] ; then
+	if [ "$(cat ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm | grep -c "\<$i\>" )" -ne 0 ] ; then
  	   echo "key $i already present in cpp_${NEW_CONF}.fcm" 
 	else
Index: /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/TOOLS/DOMAINcfg/namelist_ref
===================================================================
--- /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/TOOLS/DOMAINcfg/namelist_ref	(revision 8878)
+++ /branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/TOOLS/DOMAINcfg/namelist_ref	(revision 8879)
@@ -278,7 +278,7 @@
                            !  = 2  Redistribute a single flux over categories (coupled mode only)
                      ! Sea-ice :
-   nn_ice      = 2         !  =0 no ice boundary condition   ,
+   nn_ice      = 3         !  =0 no ice boundary condition   ,
                            !  =1 use observed ice-cover      ,
-                           !  =2 ice-model used                         ("key_lim3", "key_lim2", "key_cice")
+                           !  =3-4 ice-model used                         ("key_lim3", "key_cice")
    nn_ice_embd = 1         !  =0 levitating ice (no mass exchange, concentration/dilution effect)
                            !  =1 levitating ice with mass and salt exchange but no presure effect
@@ -670,8 +670,4 @@
    bn_tem      = 'amm12_bdyT_tra',         24        , 'votemper',    .true.   , .false. ,  'daily'  ,    ''    ,   ''     ,     ''
    bn_sal      = 'amm12_bdyT_tra',         24        , 'vosaline',    .true.   , .false. ,  'daily'  ,    ''    ,   ''     ,     ''
-! for lim2
-!   bn_frld    = 'amm12_bdyT_ice',         24        , 'ileadfra',    .true.   , .false. ,  'daily'  ,    ''    ,   ''     ,     ''
-!   bn_hicif   = 'amm12_bdyT_ice',         24        , 'iicethic',    .true.   , .false. ,  'daily'  ,    ''    ,   ''     ,     ''
-!   bn_hsnif   = 'amm12_bdyT_ice',         24        , 'isnowthi',    .true.   , .false. ,  'daily'  ,    ''    ,   ''     ,     ''
 ! for lim3
 !   bn_a_i     = 'amm12_bdyT_ice',         24        , 'ileadfra',    .true.   , .false. ,  'daily'  ,    ''    ,   ''     ,     ''
